/****************************************************************************
** MainDialogData meta object code from reading C++ file 'MainDialogData.h'
**
** Created: Thu Oct 26 17:51:14 2000
**      by: The Qt MOC ($Id: qt/src/moc/moc.y   2.2.1   edited 2000-09-29 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#define Q_MOC_MainDialogData
#if !defined(Q_MOC_OUTPUT_REVISION)
#define Q_MOC_OUTPUT_REVISION 9
#elif Q_MOC_OUTPUT_REVISION != 9
#error "Moc format conflict - please regenerate all moc files"
#endif

#include "MainDialogData.h"
#include <qmetaobject.h>
#include <qapplication.h>

#if defined(Q_SPARCWORKS_FUNCP_BUG)
#define Q_AMPERSAND
#else
#define Q_AMPERSAND &
#endif


const char *MainDialogData::className() const
{
    return "MainDialogData";
}

QMetaObject *MainDialogData::metaObj = 0;

void MainDialogData::initMetaObject()
{
    if ( metaObj )
	return;
    if ( qstrcmp(QWidget::className(), "QWidget") != 0 )
	badSuperclassWarning("MainDialogData","QWidget");
    (void) staticMetaObject();
}

#ifndef QT_NO_TRANSLATION

QString MainDialogData::tr(const char* s)
{
    return qApp->translate( "MainDialogData", s, 0 );
}

QString MainDialogData::tr(const char* s, const char * c)
{
    return qApp->translate( "MainDialogData", s, c );
}

#endif // QT_NO_TRANSLATION

QMetaObject* MainDialogData::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    (void) QWidget::staticMetaObject();
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    typedef void(MainDialogData::*m1_t0)();
    typedef void(MainDialogData::*m1_t1)();
    typedef void(MainDialogData::*m1_t2)(int);
    typedef void(MainDialogData::*m1_t3)();
    typedef void(MainDialogData::*m1_t4)();
    typedef void(MainDialogData::*m1_t5)();
    typedef void(MainDialogData::*m1_t6)();
    typedef void(MainDialogData::*m1_t7)();
    typedef void(MainDialogData::*m1_t8)();
    typedef void(MainDialogData::*m1_t9)();
    typedef void(MainDialogData::*m1_t10)();
    typedef void(MainDialogData::*m1_t11)(bool);
    typedef void(MainDialogData::*m1_t12)(bool);
    typedef void(MainDialogData::*m1_t13)(bool);
    m1_t0 v1_0 = Q_AMPERSAND MainDialogData::forwardSongPressed;
    m1_t1 v1_1 = Q_AMPERSAND MainDialogData::forwardSongReleased;
    m1_t2 v1_2 = Q_AMPERSAND MainDialogData::newSubSong;
    m1_t3 v1_3 = Q_AMPERSAND MainDialogData::nextSongPressed;
    m1_t4 v1_4 = Q_AMPERSAND MainDialogData::nextSongReleased;
    m1_t5 v1_5 = Q_AMPERSAND MainDialogData::playSongPressed;
    m1_t6 v1_6 = Q_AMPERSAND MainDialogData::playSongReleased;
    m1_t7 v1_7 = Q_AMPERSAND MainDialogData::prevSongPressed;
    m1_t8 v1_8 = Q_AMPERSAND MainDialogData::prevSongReleased;
    m1_t9 v1_9 = Q_AMPERSAND MainDialogData::stopSongPressed;
    m1_t10 v1_10 = Q_AMPERSAND MainDialogData::stopSongReleased;
    m1_t11 v1_11 = Q_AMPERSAND MainDialogData::setPlaylistEnabled;
    m1_t12 v1_12 = Q_AMPERSAND MainDialogData::setLoopPlayEnabled;
    m1_t13 v1_13 = Q_AMPERSAND MainDialogData::setRandomPlayEnabled;
    QMetaData *slot_tbl = QMetaObject::new_metadata(14);
    QMetaData::Access *slot_tbl_access = QMetaObject::new_metaaccess(14);
    slot_tbl[0].name = "forwardSongPressed()";
    slot_tbl[0].ptr = (QMember)v1_0;
    slot_tbl_access[0] = QMetaData::Public;
    slot_tbl[1].name = "forwardSongReleased()";
    slot_tbl[1].ptr = (QMember)v1_1;
    slot_tbl_access[1] = QMetaData::Public;
    slot_tbl[2].name = "newSubSong(int)";
    slot_tbl[2].ptr = (QMember)v1_2;
    slot_tbl_access[2] = QMetaData::Public;
    slot_tbl[3].name = "nextSongPressed()";
    slot_tbl[3].ptr = (QMember)v1_3;
    slot_tbl_access[3] = QMetaData::Public;
    slot_tbl[4].name = "nextSongReleased()";
    slot_tbl[4].ptr = (QMember)v1_4;
    slot_tbl_access[4] = QMetaData::Public;
    slot_tbl[5].name = "playSongPressed()";
    slot_tbl[5].ptr = (QMember)v1_5;
    slot_tbl_access[5] = QMetaData::Public;
    slot_tbl[6].name = "playSongReleased()";
    slot_tbl[6].ptr = (QMember)v1_6;
    slot_tbl_access[6] = QMetaData::Public;
    slot_tbl[7].name = "prevSongPressed()";
    slot_tbl[7].ptr = (QMember)v1_7;
    slot_tbl_access[7] = QMetaData::Public;
    slot_tbl[8].name = "prevSongReleased()";
    slot_tbl[8].ptr = (QMember)v1_8;
    slot_tbl_access[8] = QMetaData::Public;
    slot_tbl[9].name = "stopSongPressed()";
    slot_tbl[9].ptr = (QMember)v1_9;
    slot_tbl_access[9] = QMetaData::Public;
    slot_tbl[10].name = "stopSongReleased()";
    slot_tbl[10].ptr = (QMember)v1_10;
    slot_tbl_access[10] = QMetaData::Public;
    slot_tbl[11].name = "setPlaylistEnabled(bool)";
    slot_tbl[11].ptr = (QMember)v1_11;
    slot_tbl_access[11] = QMetaData::Protected;
    slot_tbl[12].name = "setLoopPlayEnabled(bool)";
    slot_tbl[12].ptr = (QMember)v1_12;
    slot_tbl_access[12] = QMetaData::Protected;
    slot_tbl[13].name = "setRandomPlayEnabled(bool)";
    slot_tbl[13].ptr = (QMember)v1_13;
    slot_tbl_access[13] = QMetaData::Protected;
    metaObj = QMetaObject::new_metaobject(
	"MainDialogData", "QWidget",
	slot_tbl, 14,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    metaObj->set_slot_access( slot_tbl_access );
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    return metaObj;
}
